Skip to main content
GET
/
v1
/
wholesale_order_line_item
/
list
curl --location --request GET 'https://api.stateset.com/v1/wholesale_order_line_item/list' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
    "limit": 10,
    "offset": 0,
    "order_direction": "asc"
}'

{
  "id": "<string>",
  "product_id": "<string>",
  "product_name": "<string>",
  "brand": "<string>",
  "quantity": "<string>",
  "unit": "<string>",
  "updated_date": "<string>",
  "wholesale_order_id": "<string>",
  "created_date": "<string>",
  "price_unit": "<string>",
  "include_in_export": "<string>",
  "product_class": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.stateset.com/llms.txt

Use this file to discover all available pages before exploring further.

Body

limit
string
required
This is the limit of the wholesale orders.
offset
string
required
This is the offset of the wholesale orders.
order_direction
string
required
This is the order direction of the wholesale orders.

Response

id
string
The Id of the wholesale order line item
product_id
string
The Id of the product
product_name
string
The name of the product
brand
string
The brand of the product
quantity
string
The quantity of the product
unit
string
The unit of the product
updated_date
string
The date the wholesale order line item was last updated
wholesale_order_id
string
The Id of the wholesale order
created_date
string
The date the wholesale order line item was created
brand
string
The brand of the product
price_unit
string
The price of the product
include_in_export
string
Indicates whether the line item is included in the export
product_class
string
The class of the product
curl --location --request GET 'https://api.stateset.com/v1/wholesale_order_line_item/list' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
    "limit": 10,
    "offset": 0,
    "order_direction": "asc"
}'